# THIS PACKAGE IS HOSTED AT MANDRIVA SVN
# PLEASE DO NOT UPLOAD DIRECTLY BEFORE COMMIT

%define LIBMAJ 0
%define libname %mklibname %name %LIBMAJ
%define develname %mklibname %name -d
%define kdever kde3
%define pyver %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

%define name knoda
%define version 0.8.3
%define hk_version 0.8.3
%define release %mkrel 1

Summary:	Knoda is a database frontend for KDE. It is based on hk_classes
Name:		%{name}
Version:        %{version}
Release:        %{release}
License:	GPL
Group:		Databases

Source:		http://hk-classes.sourceforge.net/%{name}-%{version}.tar.bz2
Source1:	http://hk-classes.sourceforge.net/%{name}python.tar.bz2
Source2:	lo48-app-knoda.png
Source3:        lo16-app-knoda.png
Source4:        lo32-app-knoda.png
Url:		http://www.knoda.org
BuildRoot:	%_tmppath/%name-%version-root

BuildRequires:	hk_classes-devel = %{hk_version} 
BuildRequires:	kdelibs-devel 
BuildRequires:  chrpath
BuildRequires:  python-devel

Requires: 	hk_classes = %{hk_version} 
Requires:       %{libname} = %{version}

%description

Knoda is a database frontend for KDE. It is based on hk_classes.
Knoda allows you to:

 * define and delete databases;
 * create, alter and delete tables and indices;
 * add, change and delete data in tables;
 * define, execute and store sql queries;
 * import and export CSV data;
 * define and use forms; and
 * define and print reports

Its driver concept allows a uniform connection to different database 
servers.

Note: If you've used knoda 0.6, you'll probably want to delete 
~/.hk_classes/preferences, as the driver paths have changed.

%package -n %{libname}
Summary:        Libraries for hk_kdeclasses
Group:          System/Libraries

%description -n %{libname}

Hk_kdeclasses libraries

%package -n %{develname}
Summary:        Headers for hk_kdeclasses application development
Group:          Development/Databases
Requires:	%{libname}
Obsoletes:	%{libname}-devel

%description -n %{develname}

Hk_kdeclasses headers for application development

%prep
%setup -q -a 1 -n %{name}-%{version}

%build
# (sb) configure macro breaks build
./configure CXXFLAGS="$CXXFLAGS -fPIC" \
  --prefix=%{_prefix} \
  --exec-prefix=%{_prefix} \
  --bindir=%{_bindir} \
  --sbindir=%{_sbindir} \
  --sysconfdir=%{_sysconfdir} \
  --datadir=%{_datadir} \
  --includedir=%{_includedir}/hk_kdeclasses \
  --libdir=%{_libdir} \
  --libexecdir=%{_libdir} \
  --localstatedir=%{_localstatedir} \
  --sharedstatedir=%{_sharedstatedir} \
  --mandir=%{_mandir} \
  --infodir=%{_infodir} \
  --disable-rpath \
  --enable-debug \
  --with-qt-libraries=%{_prefix}/lib/qt3/%{_lib} \
  --with-hk_classes-dir=%{_libdir}/hk_classes \
  --with-hk_classes-incdir=%{_includedir}/hk_classes
%make 

%install
rm -rf %{buildroot}
make \
  DESTDIR=$RPM_BUILD_ROOT \
  prefix=%{_prefix} \
  exec-prefix=%{_prefix} \
  bindir=%{_bindir} \
  sbindir=%{_sbindir} \
  sysconfdir=%{_sysconfdir} \
  datadir=%{_datadir} \
  includedir=%{_includedir}/hk_kdeclasses \
  libdir=%{_libdir} \
  libexecdir=%{_libdir} \
  localstatedir=%{_localstatedir} \
  sharedstatedir=%{_sharedstatedir} \
  mandir=%{_mandir} \
  infodir=%{_infodir} \
  install

# (sb) get rid of CVS in python docs
rm -rf %{name}python/common/CVS

## Remove because it conflict with mandrake-mime  BR: #16672 ##
#rm -rf $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-msaccess.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-xbase.desktop


# (sb) clean up rpaths
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/knoda
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libhk_kdeclasses.so
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/%{kdever}/libhk_kdegridpart.so
#chrpath --delete $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/_hk_kdeclasses.so

# (sb) fix .la files
perl -pi -e "s|-L$RPM_BUILD_DIR/%{name}-%{version}/hk_kdeclasses/libhk_kdeclasses.la|%{_libdir}/libhk_kdeclasses.la|g" $RPM_BUILD_ROOT%{_libdir}/%{kdever}/libhk_kdegridpart.la
perl -pi -e "s|-L$RPM_BUILD_DIR/%{name}-%{version}/hk_kdeclasses||g" $RPM_BUILD_ROOT%{_libdir}/%{kdever}/*.la

# (sb) more icon shuffling
install -d $RPM_BUILD_ROOT/%{_iconsdir}/large
install -d $RPM_BUILD_ROOT/%{_iconsdir}/mini
install %SOURCE2 $RPM_BUILD_ROOT/%{_iconsdir}/large/%{name}.png
install %SOURCE3 $RPM_BUILD_ROOT/%{_iconsdir}/mini/%{name}.png  
install %SOURCE4 $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png  

# (sb) fix doc symlink
rm -f $RPM_BUILD_ROOT/%{_datadir}/doc/HTML/en/%{name}/common
pushd $RPM_BUILD_ROOT/%{_datadir}/doc/HTML/en/%{name}
ln -sf ../common
popd

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Databases" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applnk/Office $RPM_BUILD_ROOT%{_datadir}/applnk/Office/%{name}.desktop

%find_lang %name

%post
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%update_icon_cache locolor
%endif

%postun
%clean_menus
%if %mdkversion > 200600
%{update_desktop_database}
%clean_icon_cache hicolor
%clean_icon_cache locolor
%endif

%clean
rm -fr %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS INSTALL README
%doc %{name}python/*
%{_bindir}/%{name}
%{_bindir}/knoda-rt
%{_datadir}/applnk/Office/%{name}.desktop
%dir %{_datadir}/apps/hk_kdeclasses
%{_datadir}/apps/hk_kdeclasses/*.rc
%{_datadir}/apps/hk_kdeclasses/pics/*
%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}/knodaui.rc
%{_datadir}/apps/%{name}/hk_kdeworkspace.rc
%{_datadir}/apps/%{name}/pics/*
%{_datadir}/config/magic/hk_classes.magic
%{_datadir}/mimelnk/application/x-hk_classes-sqlite2.desktop
%{_datadir}/mimelnk/application/x-hk_classes-sqlite3.desktop
## Remove because it conflict with mandrake-mime  BR: #16672
#%{_datadir}/mimelnk/application/x-msaccess.desktop
#%{_datadir}/mimelnk/application/x-xbase.desktop
%{_datadir}/mimelnk/application/x-hk_connection.desktop
%{_datadir}/mimelnk/application/x-paradox.desktop
%dir %{_datadir}/doc/HTML/en/%{name}
%{_datadir}/doc/HTML/en/%{name}/*.bz2
%{_datadir}/doc/HTML/en/%{name}/*.docbook
%{_datadir}/doc/HTML/en/%name/common
%{_datadir}/doc/HTML/en/knoda/*.png
%{_iconsdir}/*.png
%{_iconsdir}/large/%{name}.png
%{_iconsdir}/mini/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_datadir}/services/hk_kde*.desktop
%{_libdir}/libhk_kdeclasses.la
%{_libdir}/%{kdever}/libhk_kde*.la

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libhk_kdeclasses.so
%{_libdir}/%{kdever}/libhk_kde*.so

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/hk_kdeclasses
%{_includedir}/hk_kdeclasses/*.h
#%{_libdir}/%{kdever}/libhk_kde*.a


%changelog
* Tue Jun 26 2007 Funda Wang <fundawang@mandriva.org> 0.8.3-1mdv2008.0
+ Revision: 44338
- new develpackage policy
  drop old menu

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - update to 0.8.3
    - wipe out buildroot before install


* Mon Jan 15 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.2-1mdv2007.0
+ Revision: 109306

  + Lenny Cartier <lenny@mandriva.com>
    - Update to 0.8.2

* Mon Jul 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.1-1mdv2007.0
+ Revision: 38589
- Fix xdg menu
- right require on hk_version
- 0.8.1
- Fix Menu for xdg
- Use macros
- Increase release
- Fix menu
- Use macros
- import knoda-0.8-1mdk

* Sun Dec 11 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8-1mdk
- 0.8
- fix build on x86_64

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.4-6mdk
- Rebuild

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.4-5mdk
- BuildRequires fix

* Sun Sep 18 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.4-4mdk
- Fix Requires

* Wed Jul 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.4-3mdk
- Rebuild for new hk_classes

* Tue Jul 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.4-2mdk
- Remove conflict : i suxx

* Sat Jul 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.4-1mdk
- 0.7.4
- Fix conflicts with mandrake-mime BR: 16672

* Sat Apr 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.4-0.test1.1mdk
- New release 0.7.4-test1

* Mon Feb 07 2005 Stew Benedict <sbenedict@mandrakesoft.com> 0.7.2-2mdk
- rebuild for new python

* Tue Nov 30 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2, make sure it requires hk_classes with the same version
- roll python-knoda into the main package, since it's just docs

* Sat Oct 02 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.7.1-2mdk
- fix crash bug (missing /usr/lib/kde3/libhk*.la files - #11863)

* Fri Sep 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Thu Jun 17 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.6.3-2mdk
- rebuild, patch to build with gcc-3.4.1 (patch0, extra ";"s)
- some rpmlint fixes

* Thu Apr 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

